Subject: Re: [EDUC] Hamon/SIF-EPI ; le A et non-A de Colin de la Higuera en attendant le CP : contribution au débat
From: Martin Quinson <[email-masked]>
To: [email-masked]
Date: Sat, 26 Jul 2014 17:16:57 +0200
List-Id: <educ.april.org>

Bonjour les gens, je me présente rapidement pour ce premier post.

Maître de conférences en informatique à Nancy, je suis développeur
Debian depuis une dizaine d'années. J'ai fondé et animé un temps le
groupe de traduction francophone de Debian, pour que le logiciel libre
devienne réellement utilisable par tous. J'œuvre beaucoup en ce moment
à l'introduction de l'informatique pour différentes raisons, telles
que l'envie de permettre à tous d'être acteurs avec des logiciels
libres plutôt que consommateurs de logiciels privateurs. J'ai fait pas
mal de ressources pour cela, toujours GPL et CC-BY-SA. Je porte le fer
du libre également dans mes recherches, où je prône l'open science
dans un domaine où ce n'était pas du tout dans l'air du temps.

Bonjour Charlie,

je suis désolé mais je ne suis pas certain de bien saisir ta
contribution au débat, en fait.

On Fri, 25 Jul 2014 14:56:45 +0200, [email-masked] wrote:

> > 21 juillet 2014, interview de Colin de la Higuera, président de la SIF[1];
> > et co-auteur de propositions pour un programme d'enseignement de l'informatique
> > en primaire [2] :
> > "Le code informatique à l'école, une bonne idée ?"
> > http://www.vousnousils.fr/2014/07/21/le-code-informatique-a-lecole-une-bonne-idee-554249
> > 
> > Notes :
> > ------
> > [1] Société informatique de France:
> > http://www.societe-informatique-de-france.fr/ 
> >  
> > [2] Proposition d'orientations générales
> > pour un programme d'informatique à l'école primaire
> > http://www.epi.asso.fr/revue/editic/itic-ecole-prog_2013-12.htm
> > 
> > 
> > Dans son interview Colin de la Higuera considère que l'apprentissage du "code" sur 
> > le temps périscolaire par des associations pour le primaire est une bonne idée mais 
> > l'initiation à l'informatique par des professeurs de technologie en collège 
> > est une mauvaise idée, la création d'un CAPES informatique lui paraissant incontournable.
> > 
> > Les arguments :
> > ---------------
> > 
> > 1/ Pour ce qui concerne le primaire, Colin de la Higuera considère que l'initiation par
> > le milieu associatif et non aux enseignants est une bonne idée en ce que :
> > 
> > "c'est là que se trouvent les compétences et ça fonctionne déjà, on le voit notamment 
> > avec les « coding goûters ». Et puis confier cette tâche aux enseignants suppose 
> > de former plus de 300 000 professeurs des écoles".

Tu coupes la citation pour lui faire dire le contraire. La suite est:
"Toutefois, un premier problème se pose : l'offre risque d'être
déséquilibrée entre les villes et les campagnes, il sera donc
difficile d'assurer l'équité territoriale et la pérennité de
l'initiative. J'ai l'impression qu'il y a la volonté d'expérimenter,
mais que la mise en œuvre n'a pas été totalement réfléchie. Le risque
est évidemment de faire des déçus."

Donc en résumé, CdlH me semble dire "bon, c'est mieux que rien et
c'est clairement une mesure de bouts de ficelles. Mais ce n'est ni
juste ni pérènne, et si on en reste là on va dans le mur". Je ne
dirais donc pas qu'il pense que c'est une bonne idée.

> > A noter que le draft du cp en attente énonce :
> > 
> > "nous eussions préféré qu'elle s'accompagne de mesures permettant de généraliser 
> > cette initiation sur le temps scolaire,  dans le cadre de la main à la pâte [3] 
> > par exemple, garantissant l'égalité des apprentissages sur le territoire national. 
> > Ainsi, l'accompagnement éducatif périscolaire aurait de cette façon pris 
> > tout son sens".
> > 
> > Sans rejeter le périscolaire; le draft prend position pour des apprentissages 
> > sur le temps scolaire estimés à une dizaine d'heures annuelles sur le niveau CM2,
> > suite aux débats sur la liste, ce qui peut être mis en place progressivement.

J'imagine que tu parles de
http://lite4.framapad.org/p/lettre_education_numerique 

Est ce que tu sais que la première version de ce texte a été écrite
par ton grand copain Bastien Guerry avec qui tu as si souvent croisé
le fer trollesque sur la liste itic, au point de l'en faire se
désabonner et au risque de dégouter ses bonnes intensions ? 

Est ce que tu sais que le texte a été relu et approuvé par les gens de
l'EPI que tu décrie si souvent ? Même Higuera a lu et approuvé ce
texte... Si nous n'avons pas édité la version initiale en 3
paragraphes, c'est qu'elle etait assez efficace comme ça. Je suis
content de voir que les membres de l'april en ont fait un texte long
et argumenté. C'est un autre style, mais c'est bien aussi. 
Merci de votre travail, soit dit au passage.

Au passage, CdlH est la seule personne que je connaisse qui mette un
logo BY-SA sur toutes ses présentations, scientifiques ou non. Il est
très loin d'être opposé au logiciel libre.

> > 2/ Pour ce qui concerne le secondaire 
> > 
> > a) Niveau collège :
> > 
> > Colin de la Higuera est radicalement opposé à un apprentissage du "code"
> > (dont la définition qu'il donne est des pus vastes et donc forcément
> > imprécise) par des professeurs de mathématiques et de technologie.

À propos de la définition, il dit : "Le code, c'est d'une part la
pensée informatique, c'est-à-dire le fait de réfléchir à un algorithme
que l'on reprogramme pour que la machine réalise les actions
souhaitées. D'autre part, il est nécessaire de savoir décrypter des
concepts fondamentaux : qu'est-ce qu'une machine ? Comment ça
s'organise ? Il faut apprendre les rouages, un peu comme on le ferait
en médecine pour les organes du corps humain." 

Dire que c'est vaste et imprécis tient au mieux de la précipitation,
et au pire du FUD pur et simple.

> > Pour appuyer ses dires, il s'appuie sur une métaphore historique :
> > " On ne peut pas imaginer que le professeur d'Histoire puisse enseigner 
> > la Première Guerre mondiale sans connaître la Seconde Guerre mondiale.".
> > 
> > La vision de l'enseignement de l'informatique de Higuera est linéaire.
> > Or le parallèle avec le cours d'Histoire est inadéquat en ce qu'un grand
> > nombre de savoirs informatiques ne sont pas réductibles, contrairement 
> > à l'histoire qui s'y prête davantage par la chronologie, à une représentation 
> > purement hiérarchique et séquentielle.

Non, il aurait pu dire qu'on ne peut pas enseigner correctement
l'addition sans savoir ce qu'est l'intégration. C'est une thèse assez
courante en didactique que de dire qu'il est nécessaire d'en savoir
(beaucoup) plus long que les élèves à qui on enseigne. Il n'est pas
question de linéarité, mais de dire qu'on ne peut enseigner
correctement ce à quoi on a été formé 3 jours en regroupement
accadémique.

D'aucun, comme le simplon.co par exemple, pensent au contraire que le
maître doit être ignorant (en référence à Jacototà. Est-ce cette
pensée que tu défends ? pourquoi pas, mais il faut préciser, non ?

> > De nombreux savoirs informatiques sont référés à d'autres disciplines, 
> > notamment les mathématiques. Par exemple le test de Shannon référé dans mon 
> > dernier post, donné comme sujet d'agrégation de mathématiques et dont les applications 
> > relèvent de l'ingénierie informatique en tant que méthodes de détection et de correction
> > automatique d'erreurs.
> > 
> > Pour être cohérent avec lui-même Higuera ne devrait-il pas exiger que tous
> > les professeurs enseignant l'informatique passent préalablement un CAPES
> > et/ou une agrégation de mathématiques ?
> >
> > Mais à l'instar d'une logique formelle buggée de type A et non-A, le discours
> > de l'EPI et/ou de la SIF est un immense paradoxe.

WAT? je vois un raisonnement hatif, mais pas forcément chez Higuera,
là. Est ce qu'il faut une maitrise de français pour enseigner dans
cette langue? Est ce que tu peux préciser quelle partie de la pensée
de Higuera tu invoques quand tu parles de cohérence pour arriver à une
telle conclusion, s'il te plait?

> > Comment Colin de la Higuera peut-il entendre la difficulté de la tâche que 
> > représenterait la formation de 300 000 professeurs des écoles pour des cours
> > limités à une dizaines d'heures par année et ne pas voir les difficultés
> > bien plus grandes qui consisteraient à ouvrir des dizaines de milliers de postes
> > à un éventuel CAPES d'informatique pour remplacer les professeurs de technologie,
> > rien que pour le seul niveau collège ?

Comme dit ci-dessus, dire "oui, ne pas former les profs d'école au
préalable se comprend car c'est une lourde tâche" est une prise de
judo mentale pour conclure par "mais tant qu'on le fait pas, ce n'est
ni pérenne, ni juste". Ca me semble donc parfaitement raccord avec ce
que tu rapportes ci-dessus. On a exactement le même problème au
collège (et au lycée) : on peut demander à certains d'enseigner une
discipline qui n'est pas la leur sans les former dignement, mais c'est
une économie de bout de ficelle qui n'est ni pérène ni satisfaisante.

> > Et on en fait quoi des profs de techno ?

Ah, nous y voilà. Ton argumentaire serait-il teinté de corporatisme,
peut-être ? ;) 

J'imagine que tu vas me retourner l'accusation de corporatisme. Je
dirais simplement que si on ne forme pas plus d'informaticiens en
France, je garderais mon privilège de caste. J'ai l'impression de
travailler contre mes intérêts propres en cherchant à diffuser mes
savoirs au plus grand nombre. Je ne cherche certainement pas à
défendre ma discipline, qui n'est d'ailleurs absolument pas remise en
cause dans le supérieur où je travaille.

> > De plus une telle mesure serait totalement anti-pédagogique en ce qu'il importe
> > avant tout d'apprendre aux enfants à distinguer les logiques propres aux
> > biens tangibles de celles relatives aux objets informatiques. Et cet enseignement
> > là qui serait celui d'une technologie ouverte sur toutes les technologies, 
> > matérielles et immatérielles, sans les amalgamer, aurait au moins l'avantage 
> > d'être totalement en phase avec la philosophie du Libre.

Je ne vois pas en quoi le fait de réduire l'informatique à sa
dimension technique serait plus en phase avec la philosophie du libre
que d'offrir toutes les clés nécessaires pour comprendre la
discipline. Il s'agit entre autres de la linguistique, des
mathématiques, et de l'ingénierie.

> > Les membres de l"EPI, de la SIF, ne savent-ils pas que la France souffre d'une 
> > lourde pénurie de candidats au CAPES de mathématiques, sans parler de la pénurie
> > d'informaticiens sur le marché du travail. Ils vont les chercher où leurs dizaines
> > de milliers pour les collèges et lycées de candidats au CAPES d'informatique ?
> > Sur quels budgets ?

Et bien si, justement. C'est bien parce qu'ils savent qu'il n'y a pas
assez de monde en capes maths qu'ils ont proposé un projet de capes
info-maths, qui serait ouvert aux diplomés d'informatique et qui leur
permettraient d'enseigner l'informatique dans de bonnes conditions, et
de servir de bouche-trou sur des enseignements plus faciles de maths
si y'a vraiment besoin. Justement pour créer un bassin de recrutement,
puisque les diplomés de master d'informatique qui souhaitent enseigner
n'ont actuellement pas le droit.

Mais toi, par contre, tu approuves implicitement le fait de faire
enseigner l'informatique par des profs de maths [et de techno]
ci-dessus pour dire maintenant qu'il n'est pas raisonnable de former
des profs d'info car on manque déjà de profs de maths. Well, well.

Quant à la pénurie d'informaticiens en France, c'est exactement la
raison pour laquelle il est urgent d'enfin enseigner la discipline
correctement. Ne pas prélever 10000 individus maintenant pour en faire
des enseignants, c'est se priver de plusieurs ordres de grandeur de
plus dans la décénie. Comment peux-tu proner cette approche ?

Bref Charlie, si j'applique le rasoir d'Ockham, ta haine vicérale de
l'EPI, de la SIF et de tous ceux qui pronent un enseignement raisonné
et pérène de l'informatique n'est pas dicté par ton intérêt pour le
logiciel libre, mais bien par un corporatisme de bas étage.

Je n'ai rien pour ou contre les profs de techno. Il y a des profs de
techno sur la liste itic, par exemple, et même un ex-IPR de techno à
la retraite. Il faut effectivement trouver une solution pour les
enseignants de cette discipline si y'a un problème (je manque de
données pour avoir un vrai avis). Mais cela ne devrait pas être
contradictoire avec l'enseignement de l'informatique.

Je rêve d'un monde où le groupe de travail éduc de l'april irait de
l'avant pour renforcer le logiciel libre dans le système scolaire au
lieu d'écouter de tels débats réactionnaires.

Bye, Mt.

PS: désolé les autres de l'entrée en la matière un peu vigoureuse.

-- 
Learning and doing is the true spirit of free software; learning without
doing gets you academic sterility, and doing without learning is all too
often the way things are done in proprietary software.   -- Raph Levien